/* *****************************************************************************
 *  Name:    Reference Solution
 *  NetID:   ref
 *  Precept: 00
 *
 *  Description:  Programming Exam 1, Fall 2018.
 *
 **************************************************************************** */

public class DrawPath {
    public static void main(String[] args) {

        // initial point
        double xStart = StdIn.readDouble();
        double yStart = StdIn.readDouble();

        // registers with current x, y loc
        double x = xStart;
        double y = yStart;
        int segmentId = 0;

        // as long as I still can read coordinates
        while (!StdIn.isEmpty()) {
            double dx = StdIn.readDouble();
            double dy = StdIn.readDouble();
            boolean flagged = false;

            segmentId += 1;

            // does the path stay within the standard drawing window
            if (x < 0 || x > 1 || y < 0 || y > 1) {
                StdOut.println("Segment " + segmentId + " out of bounds");
                flagged = true;
            }

            double newx = x + dx;
            double newy = y + dy;

            // does the path stay within the standard drawing window
            if (!flagged && (newx < 0 || newx > 1 || newy < 0 || newy > 1)) {
                StdOut.println("Segment " + segmentId + " out of bounds");
                flagged = true;
            }

            if (!flagged)
                StdDraw.line(x, y, newx, newy);
            
            x = newx;
            y = newy;
        }

        // other validity checks

        // is the path closed?
        double eps = 0.00001;
        if (Math.abs(xStart - x) > eps || Math.abs(yStart - y) > eps) {
            StdOut.println("Not closed");
        }
    }
}

